Karaf
  1. Karaf
  2. KARAF-1809

Feature spring-web-portlet can't be installed

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.2.9
    • Fix Version/s: 2.2.10, 2.3.0, 3.0.0
    • Component/s: karaf-core
    • Labels:
      None

      Description

      When installing the spring-web-portlet feature, the following error occurs:

      karaf@root()> feature:install spring-web-portlet
      Error executing command: Could not start bundle mvn:org.springframework/spring-webmvc-portlet/3.1.2.RELEASE in feature(s) spring-web-portlet-3.1.2.RELEASE: Unresolved constraint in bundle org.springframework.web.portlet [98]: Unable to resolve 98.0: missing requirement [98.0] osgi.wiring.package; (&(osgi.wiring.package=javax.portlet)(version>=2.0.0)(!(version>=3.0.0)))

        Activity

        Show
        Jean-Baptiste Onofré added a comment - Fixed on karaf-2.3.x: http://svn.apache.org/viewvc?view=revision&revision=1383413 Fixed on karaf-2.2.x: http://svn.apache.org/viewvc?view=revision&revision=1383419
        Show
        Jean-Baptiste Onofré added a comment - Fixed on trunk: http://svn.apache.org/viewvc?view=revision&revision=1383403

          People

          • Assignee:
            Jean-Baptiste Onofré
            Reporter:
            Jean-Baptiste Onofré
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development